DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# VectorDistanceTransform

Euclidean vector distance transform

## SYNOPSIS

`#include "dip_distance.h"`

dip_Error dip_VectorDistanceTransform ( in, outx, outy, outz, distance, border, method )

## DATA TYPES

binary

## FUNCTION

This function produces the vector components of the Euclidean distance transform. These are stored in the output images, one for each dimension of the input image. See the `EuclideanDistanceTransform` for detailed information about the parameters.

To compute the Euclidean distance from the vector compoments produced by this function, one needs to multiply each componemt with the sampling distance, square the result, sum the results for all components and take the square root of the sum.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_ImageArray` | `out` | Output images
`dip_FloatArray` | `distance` | Sampling distances
`dip_Boolean` | `border` | Image border type
`dipf_DistanceTransform` | `method` | Transform method

`dipf_DistanceTransform` defines the following distance transform types:

Name | Description
`DIP_EDT_FAST` | fastest, but most errors
`DIP_EDT_TIES` | slower, but fewer errors
`DIP_EDT_TRUE` | slow, uses lots of memory, but is "error free"
`DIP_EDT_BRUTE_FORCE` | gives a result from which errors are calculated for the other methods. This method is extremly slow and should only be used for testing purposes.

## LITERATURE

See `EuclideanDistanceTransform`

## KNOWN BUGS

See `EuclideanDistanceTransform`

## AUTHOR

James C. Mullikin, adapted to DIPlib by Geert M.P. van Kempen

## SEE ALSO

`EuclideanDistanceTransform`, `GreyWeightedDistanceTransform`

DIPlib on-line documentation | Function reference | Global function index